Bug 1257331 - Preferential support for Microsoft Word documents over LibreOffice Writer documents
Preferential support for Microsoft Word documents over LibreOffice Writer doc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mailcap (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 16:03 EDT by N. Jackson
Modified: 2016-12-20 09:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:28:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description N. Jackson 2015-08-26 16:03:40 EDT
Description of problem:

/etc/mailcap contains the line:

    application/msword; /usr/bin/xdg-open %s

but there is no equivalent entry for the MIME type "application/vnd.oasis.opendocument.text" for LibreOffice Writer .odt files.

This means that for programs that depend upon mailcap, Fedora has preferential support for Microsoft Word files over LibreOffice Writer files.

It seems that Fedora ought to support Free/Open software/formats at least as well as it supports proprietary ones.

Please either remove

    application/msword; /usr/bin/xdg-open %s

from mailcap, or add something like

    application/vnd.oasis.opendocument.text; /usr/bin/xdg-open %s

as well.

Perhaps (but I am by no means certain), mailcap should include all the following lines:

    application/vnd.oasis.opendocument.text; /usr/bin/xdg-open %s         # .odt
    application/vnd.oasis.opendocument.spreadsheet; /usr/bin/xdg-open %s  # .ods
    application/vnd.oasis.opendocument.presentation; /usr/bin/xdg-open %s # .odp
    application/vnd.oasis.opendocument.database; /usr/bin/xdg-open %s     # .odb

    application/msword; /usr/bin/xdg-open %s            # .doc
    application/vnd.ms-excel; /usr/bin/xdg-open %s      # .xls
    application/vnd.ms-powerpoint; /usr/bin/xdg-open %s # .ppt

    application/vnd.openxmlformats-officedocument.wordprocessingml.document; /usr/bin/xdg-open %s   # .docx
    application/vnd.openxmlformats-officedocument.presentationml.presentation; /usr/bin/xdg-open %s # .xlsx
    application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; /usr/bin/xdg-open %s         # .pptx

Version-Release number of selected component (if applicable):

mailcap from from http://git.fedorahosted.org/git/mailcap.git on 2015-08-26.

How reproducible:

Consistently.

Steps to Reproduce:
1. # cp /etc/mailcap /etc/mailcap.bkp
2. # rm /etc/mailcap
3. # yum reinstall mailcap
4. # cat /etc/mailcap

Actual results:

    ### 
    ### Begin Red Hat Mailcap
    ###

    audio/*; /usr/bin/xdg-open %s

    image/*; /usr/bin/xdg-open %s

    application/msword; /usr/bin/xdg-open %s
    application/pdf; /usr/bin/xdg-open %s
    application/postscript ; /usr/bin/xdg-open %s

    text/html; /usr/bin/xdg-open %s ; copiousoutput

Expected results:

I expect Fedora to not preferentially support proprietary software formats over Free Software formats.

Additional info:

FWIW, a concrete example of the ramifications of this "defect" in the Fedora mailcap file is seen in the Gnus news/mail reader in Emacs, where Microsoft Word attachments can be conveniently opened in LibreOffice, but LibreOffice Writer attachments cannot.
Comment 1 Fedora End Of Life 2015-11-04 05:40:51 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 N. Jackson 2015-11-04 08:52:22 EST
This issue is not specific to Fedora 21.

Looking at https://git.fedorahosted.org/cgit/mailcap.git/, it persists in both the latest Fedora release of mailcap (r2-1-45 of 2015-09-25) and in current HEAD (which is four hours old).

To re-iterate, the problem is that through mailcap, Fedora provides better support for proprietary software/formats (specifically Microsoft Word) than it does for free/open software/formats (specifically Open Document Format files).

Thanks.
Comment 3 Fedora End Of Life 2015-12-02 10:07:55 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 N. Jackson 2015-12-02 10:32:05 EST
Please reopen this bug. This is not Fedora 21 specific -- See Comment 2. I tried reinstalling mailcap today and the problem persists.
Comment 5 Fedora End Of Life 2016-11-24 07:22:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:28:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.